org.eclipse.jface.text

## Class BadPartitioningException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.jface.text.BadPartitioningException

All Implemented Interfaces:
  Serializable

    public class BadPartitioningException
    extends Exception

Represents the attempt to refer to a non-existing document partitioning.

This class is not intended to be serialized.

Since:
  3.0
See Also:
  `IDocument`, `IDocumentExtension3`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BadPartitioningException()` Creates a new bad partitioning exception.
`BadPartitioningException(String message)` Creates a new bad partitioning exception.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BadPartitioningException

    public BadPartitioningException()

Creates a new bad partitioning exception.

#### BadPartitioningException

    public BadPartitioningException(String message)

Creates a new bad partitioning exception.

Parameters:
  `message` - message describing the exception